org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class MatchStep.GreedyMatchAlgorithm

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.step.map.MatchStep.GreedyMatchAlgorithm

- All Implemented Interfaces:
    Serializable, Function<Traverser.Admin<Object>,Traversal.Admin<Object,Object>>, MatchStep.MatchAlgorithm
  Enclosing class:
    MatchStep<S,E>

      public static class MatchStep.GreedyMatchAlgorithm
      extends Object
      implements MatchStep.MatchAlgorithm

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.process.traversal.step.map.MatchStep.MatchAlgorithm

      `UNMATCHABLE_PATTERN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GreedyMatchAlgorithm()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal.Admin<Object,Object>` | `apply(Traverser.Admin<Object> traverser)`
    `void` | `initialize(TraversalEngine.Type traversalEngineType, List<Traversal.Admin<Object,Object>> traversals)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.step.map.MatchStep.MatchAlgorithm

      `recordEnd, recordStart`

    - ### Methods inherited from interface java.util.function.Function

      `andThen, compose, identity`

- - ### Constructor Detail

    - #### GreedyMatchAlgorithm

          public GreedyMatchAlgorithm()

  - ### Method Detail

    - #### initialize

          public void initialize(TraversalEngine.Type traversalEngineType,
                                 List<Traversal.Admin<Object,Object>> traversals)

      Specified by:
        `initialize` in interface `MatchStep.MatchAlgorithm`

    - #### apply

          public Traversal.Admin<Object,Object> apply(Traverser.Admin<Object> traverser)

      Specified by:
        `apply` in interface `Function<Traverser.Admin<Object>,Traversal.Admin<Object,Object>>`

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.